aboutsummaryrefslogtreecommitdiff
path: root/media/gfx
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:11:14 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:11:14 +0000
commit044152c9c30c226b978e94bd2c1139e08aa64310 (patch)
tree887ec016251b18e0670c2c36a2f4bb0b4aea2d1e /media/gfx
parent56a61e64aa03eef754939652f1683aead444639d (diff)
downloadslackbuilds-044152c9c30c226b978e94bd2c1139e08aa64310.tar.gz
slackbuilds-044152c9c30c226b978e94bd2c1139e08aa64310.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@697 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/gfx')
-rwxr-xr-xmedia/gfx/inkscape/inkscape.SlackBuild107
-rw-r--r--media/gfx/inkscape/slack-required5
2 files changed, 112 insertions, 0 deletions
diff --git a/media/gfx/inkscape/inkscape.SlackBuild b/media/gfx/inkscape/inkscape.SlackBuild
new file mode 100755
index 00000000..882d3ac0
--- /dev/null
+++ b/media/gfx/inkscape/inkscape.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+#
+# slackbuild script for inkscape
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="inkscape"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.44.1}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/inkscape/$SRC"
+# URL="http://easynews.dl.sourceforge.net/sourceforge/inkscape/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+inkscape: inkscape (An SVG-based vector drawing application)
+inkscape:
+inkscape: Inkscape is an Open Source vector graphics editor, with capabilities
+inkscape: similar to Illustrator, Freehand, CorelDraw, or Xara X using the
+inkscape: W3C standard Scalable Vector Graphics (SVG) file format. Supported
+inkscape: SVG features include shapes, paths, text, markers, clones, alpha
+inkscape: blending, transforms, gradients, patterns, and grouping. Inkscape
+inkscape: also supports Creative Commons meta-data, node editing, layers,
+inkscape: complex path operations, bitmap tracing, text-on-path, flowed text,
+inkscape: direct XML editing, and more. It imports formats such as JPEG, PNG,
+inkscape: TIFF, and exports PNG as well as multiple vector-based formats.
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING COPYING.LIB ChangeLog HACKING.* INSTALL NEWS README* TRANSLATORS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/gfx/inkscape/slack-required b/media/gfx/inkscape/slack-required
new file mode 100644
index 00000000..2ab79731
--- /dev/null
+++ b/media/gfx/inkscape/slack-required
@@ -0,0 +1,5 @@
+libgc
+gdkmm
+glibmm
+gtkmm
+sigc++